Bug 1080322 - yast crashes when starting software management
yast crashes when starting software management
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
x86-64 openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: YaST Team
Jiri Srain
https://trello.com/c/5T2ZljfU
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-09 15:22 UTC by Philippe Condé
Modified: 2018-02-12 20:58 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
igonzalezsosa: needinfo? (conde.philippe)


Attachments
y2log file (15.66 KB, application/x-trash)
2018-02-09 15:22 UTC, Philippe Condé
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Condé 2018-02-09 15:22:35 UTC
Created attachment 759598 [details]
y2log  file

Hello,
Yast ==> software manangement or software update crashes

Error
Internal error. Please report a bug report with logs. 
Run save_y2logs to get complete logs.
Details: Failed to load module 'Product' due to : Cannot load such file -- y2packager/product_reader
Caller: /usr/lib64/rubygems/core_ext/kernel_require.rb:59: in 'require'

I attach also y2log

Regards
Philippe
Comment 1 Ancor Gonzalez Sosa 2018-02-09 17:15:43 UTC
Looks like your yast2 package is older than the version 4.0.48, which fixed that problem.

Please, make sure your Tumbleweed system is fully up-to-date by executing:
zypper dup
Comment 2 Philippe Condé 2018-02-10 07:29:40 UTC
Hello,

thanks for your answer.
I do always updates via zypper dup 
here the list of yast packages

yast2-online-update-frontend-3.1.11-1.6.noarch                                                                                                                                                                                      
yast2-nfs-common-4.0.0-1.1.noarch                                                                                                                                                                                                   
yast2-proxy-3.1.6-1.6.noarch                                                                                                                                                                                                        
yast2-auth-client-3.3.18-1.2.noarch                                                                                                                                                                                                 
yast2-country-data-4.0.19-1.1.x86_64                                                                                                                                                                                                
yast2-ldap-3.1.14-1.4.x86_64                                                                                                                                                                                                        
yast2-branding-openSUSE-4.0.3-1.1.noarch                                                                                                                                                                                            
yast2-4.0.49-1.1.x86_64                                                                                                                                                                                                             
yast2-online-update-3.1.11-1.6.noarch                                                                                                                                                                                               
yast2-snapper-4.0.1-1.2.x86_64                                                                                                                                                                                                      
yast2-alternatives-3.2.0-1.3.x86_64                                                                                                                                                                                                 
yast2-bootloader-4.0.15-1.1.x86_64                                                                                                                                                                                                  
yast2-mail-4.0.1-1.1.noarch                                                                                                                                                                                                         
yast2-pam-3.1.2-1.4.noarch                                                                                                                                                                                                          
yast2-firewall-4.0.11-1.1.noarch                                                                                                                                                                                                    
yast2-scanner-3.2.1-1.5.x86_64                                                                                                                                                                                                      
yast2-ycp-ui-bindings-4.0.0-1.1.x86_64                                                                                                                                                                                              
yast2-control-center-3.3.0-1.1.x86_64                                                                                                                                                                                               
yast2-ruby-bindings-4.0.4-1.2.x86_64
yast2-country-4.0.19-1.1.x86_64
yast2-apparmor-4.0.3-1.2.noarch
yast2-iscsi-client-3.1.30-1.3.noarch
yast2-dhcp-server-3.2.2-1.4.noarch
yast2-slp-3.1.11-1.4.x86_64
yast2-kdump-4.0.1-1.1.x86_64
yast2-trans-en_US-84.87.20171214.b62b0550c-1.1.noarch
yast2-sound-3.1.10-1.10.x86_64
yast2-users-4.0.1-1.3.x86_64
yast2-auth-server-3.2.0-1.2.noarch
yast2-dns-server-4.0.1-1.1.noarch
yast2-tftp-server-4.0.0-1.1.noarch
yast2-ca-management-4.0.0-1.3.noarch
yast2-metapackage-handler-3.1.4-2.6.noarch
yast2-network-4.0.14-1.1.noarch
yast2-trans-stats-2.19.0-17.11.noarch
yast2-sudo-3.1.2-1.5.noarch
yast2-pkg-bindings-4.0.7-1.1.x86_64
yast2-vpn-3.1.5-1.4.noarch
yast2-tune-4.0.0-1.2.x86_64
yast2-storage-ng-4.0.84-1.1.noarch
yast2-control-center-qt-3.3.0-1.1.x86_64
yast2-transfer-3.1.3-1.8.x86_64
yast2-fonts-3.2.0-1.6.x86_64
yast2-x11-4.0.0-1.1.x86_64
yast2-core-4.0.1-1.1.x86_64
yast2-vm-3.2.4-1.2.x86_64
yast2-xml-3.3.0-1.2.x86_64
yast2-ftp-server-4.0.0-1.1.noarch
yast2-branding-openSUSE-Oxygen-4.0.3-1.1.noarch
yast2-add-on-4.0.5-1.2.noarch
yast2-packager-4.0.35-1.1.x86_64
yast2-perl-bindings-4.0.0-1.2.x86_64
yast2-printer-3.1.6-1.7.x86_64
yast2-hardware-detection-3.1.8-1.3.x86_64
yast2-trans-fr-84.87.20171214.b62b0550c-1.1.noarch
yast2-services-manager-4.0.1-1.2.noarch
yast2-samba-client-3.1.19-1.3.noarch
yast2-sysconfig-3.1.4-1.4.noarch
yast2-security-3.2.3-1.4.noarch
yast2-inetd-doc-4.0.0-1.2.noarch
yast2-ntp-client-4.0.7-1.1.noarch
yast2-samba-server-3.2.2-1.2.noarch
yast2-nfs-server-4.0.0-1.1.noarch
yast2-journal-3.2.0-1.3.noarch
yast2-inetd-4.0.0-1.2.noarch
yast2-installation-4.0.31-1.1.noarch
yast2-nfs-client-4.0.1-1.1.noarch
yast2-http-server-4.0.0-1.1.noarch
yast2-nis-client-4.0.2-1.1.x86_64
yast2-update-4.0.8-1.1.x86_64


I did again a zypper dup but there was nothing to do
I forced a reinstall of yast2-update but this doesn't solve the problem.
My hardware is a HP proliant ML350 G8 with a nvidia card M4100 and two displays using the nouveau driver.
The error occurs if I run yast on one or other displays.

Regards
Philippe
Comment 3 Michal Filka 2018-02-12 09:37:58 UTC
Note: there was some code moving starting with yast2-packager 4.0.33 and yast2 4.0.46 however file paths should remain the same.
Comment 4 Imobach Gonzalez Sosa 2018-02-12 09:54:29 UTC
It sounds weird because it works for me with yast2 4.0.49 and yast2-packager 4.0.35. Let's try something: could you please check that your system contains a /usr/share/YaST2/lib/y2packager/product_reader.rb ? It should be part of yast2 package.

Additionally, could you try again and get fresh logs using save_y2logs? That tool will add some valuable information from logs.

Thanks in advance!
Comment 5 Philippe Condé 2018-02-12 20:58:08 UTC
Hello,

file /usr/share/YaST2/lib/y2packager/product_reader.rb was not present on my system.
I forced a reinstall of yast2 via zypper in -f yast2 and now the file is present and Yast update and software management work.

Thanks for your help.
Philippe